# BaseGoogleChartStyle Class Reference

Inheritance diagram for BaseGoogleChartStyle:
[legend]

List of all members.

## Public Member Functions

| addStyle ($style)
| hasStyles ()

## Protected Attributes

| $styles = array()

## Detailed Description

Definition at line 15 of file BaseGoogleChartStyle.class.php.

## Member Function Documentation

BaseGoogleChartStyle::addStyle | ( | $ | style | ) |

Returns:
  BaseGoogleChartStyle

Reimplemented in GoogleChartLabelStyle, and GoogleChartLineStyle.

Definition at line 22 of file BaseGoogleChartStyle.class.php.

BaseGoogleChartStyle::hasStyles | ( |  | ) |

Reimplemented in GoogleChartLabelStyle.

Definition at line 29 of file BaseGoogleChartStyle.class.php.

## Member Data Documentation

BaseGoogleChartStyle::$styles = array()`[protected]`

Definition at line 17 of file BaseGoogleChartStyle.class.php.

The documentation for this class was generated from the following file:

- main/Charts/Google/BaseGoogleChartStyle.class.php